psychopy.org | Reference | Downloads | Github

Another 403 Error

Hello everyone,

I am trying to get an experiment running; it is quite similar to previous experiments that I have had no trouble with. However, this time I get 403 Forbidden nginx.

  • The repository on Gitlab shows the correct folder, and the html subfolder/etc are present.
  • However, I do have some connection problems during uploading (this was also the case for previous successful experiments)

Below is my process, complete with the connection errors:

ON CREATING PROJECT:

Traceback (most recent call last):
  File “urllib3/connectionpool.pyc”, line 600, in urlopen
  File “urllib3/connectionpool.pyc”, line 384, in _make_request
  File “<string>”, line 2, in raise_from
  File “urllib3/connectionpool.pyc”, line 380, in _make_request
  File “http/client.pyc”, line 1331, in getresponse
  File “http/client.pyc”, line 297, in begin
  File “http/client.pyc”, line 258, in _read_status
  File “socket.pyc”, line 586, in readinto
  File “urllib3/contrib/pyopenssl.pyc”, line 300, in recv_into
  File “urllib3/contrib/pyopenssl.pyc”, line 290, in recv_into
OSError: (54, ‘ECONNRESET’)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/requests/adapters.py”, line 449, in send
  File “urllib3/connectionpool.pyc”, line 638, in urlopen
  File “urllib3/util/retry.pyc”, line 367, in increment
  File “urllib3/packages/six.pyc”, line 685, in reraise
  File “urllib3/connectionpool.pyc”, line 600, in urlopen
  File “urllib3/connectionpool.pyc”, line 384, in _make_request
  File “<string>”, line 2, in raise_from
  File “urllib3/connectionpool.pyc”, line 380, in _make_request
  File “http/client.pyc”, line 1331, in getresponse
  File “http/client.pyc”, line 297, in begin
  File “http/client.pyc”, line 258, in _read_status
  File “socket.pyc”, line 586, in readinto
  File “urllib3/contrib/pyopenssl.pyc”, line 300, in recv_into
  File “urllib3/contrib/pyopenssl.pyc”, line 290, in recv_into
urllib3.exceptions.ProtocolError: (‘Connection aborted.’, OSError(“(54, ‘ECONNRESET’)”,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/builder/builder.py”, line 1227, in onPavloviaSync
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/pavlovia_ui/project.py”, line 468, in syncProject
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/pavlovia_ui/project.py”, line 65, in __init__
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/projects/pavlovia.py”, line 373, in listUserGroups
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/exceptions.py”, line 251, in wrapped_f
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/mixins.py”, line 133, in list
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/__init__.py”, line 577, in http_list
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/__init__.py”, line 686, in __init__
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/__init__.py”, line 691, in _query
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/__init__.py”, line 481, in http_request
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/requests/sessions.py”, line 646, in send
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/requests/adapters.py”, line 498, in send
requests.exceptions.ConnectionError: (‘Connection aborted.’, OSError(“(54, ‘ECONNRESET’)”,))

ON SYNCING OF PROJECT:

Traceback (most recent call last):
  File “urllib3/connectionpool.pyc”, line 600, in urlopen
  File “urllib3/connectionpool.pyc”, line 384, in _make_request
  File “<string>”, line 2, in raise_from
  File “urllib3/connectionpool.pyc”, line 380, in _make_request
  File “http/client.pyc”, line 1331, in getresponse
  File “http/client.pyc”, line 297, in begin
  File “http/client.pyc”, line 258, in _read_status
  File “socket.pyc”, line 586, in readinto
  File “urllib3/contrib/pyopenssl.pyc”, line 300, in recv_into
  File “urllib3/contrib/pyopenssl.pyc”, line 290, in recv_into
OSError: (54, ‘ECONNRESET’)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/requests/adapters.py”, line 449, in send
  File “urllib3/connectionpool.pyc”, line 638, in urlopen
  File “urllib3/util/retry.pyc”, line 367, in increment
  File “urllib3/packages/six.pyc”, line 685, in reraise
  File “urllib3/connectionpool.pyc”, line 600, in urlopen
  File “urllib3/connectionpool.pyc”, line 384, in _make_request
  File “<string>”, line 2, in raise_from
  File “urllib3/connectionpool.pyc”, line 380, in _make_request
  File “http/client.pyc”, line 1331, in getresponse
  File “http/client.pyc”, line 297, in begin
  File “http/client.pyc”, line 258, in _read_status
  File “socket.pyc”, line 586, in readinto
  File “urllib3/contrib/pyopenssl.pyc”, line 300, in recv_into
  File “urllib3/contrib/pyopenssl.pyc”, line 290, in recv_into
urllib3.exceptions.ProtocolError: (‘Connection aborted.’, OSError(“(54, ‘ECONNRESET’)”,))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/app/pavlovia_ui/project.py”, line 146, in submitChanges
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/psychopy/projects/pavlovia.py”, line 324, in createProject
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/exceptions.py”, line 251, in wrapped_f
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/mixins.py”, line 204, in create
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/__init__.py”, line 604, in http_post
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/gitlab/__init__.py”, line 481, in http_request
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/requests/sessions.py”, line 646, in send
  File “/Applications/PsychoPy.app/Contents/Resources/lib/python3.6/requests/adapters.py”, line 498, in send
requests.exceptions.ConnectionError: (‘Connection aborted.’, OSError(“(54, ‘ECONNRESET’)”,))

Each time I change to piloting/running/inactive, I get a blank screen that I have to refresh to see the changes. Sometimes I don’t see a url for a running experiment.

Clicking the “pilot” button sometimes results in a message instead of the 403 error:

We could not find a record for experiment designer: undefined
Please check the name and try again. If the error persists, contact Pavlovia’s administrator.

Any help would be greatly appreciated!

Found the problem: apparently I was uploading wav files instead of mp3s for my stimuli, which was taking more time than average. Navigating away from a page or re-starting the sync led to a bad upload.